XVaCreateNestedList(3)

NAME
XVaCreateNestedList - allocate a nested variable argument list

SYNTAX
typedef void * XVaNestedList;

XVaNestedList XVaCreateNestedList(int dummy, ...);

ARGUMENTS

dummy
    Specifies an unused argument (required by ANSI C).

... Specifies the variable length argument list.

DESCRIPTION
The function allocates memory and copies its arguments into a single list pointer, which may be used as a value for arguments requiring a list value. Any entries are copied as specified. Data passed by reference is not copied; the caller must ensure data remains valid for the lifetime of the nested list. The list should be freed using when it is no longer needed.

SEE ALSO
Xlib - C Language X Interface